=== debian/changelog ===
pothos-widgets (0.5.1-1) unstable; urgency=low

  * Release 0.5.1 (2021-07-25)

 -- Josh Blum <josh@pothosware.com>  Sun, 25 Jul 2021 17:48:33 -0000

pothos-widgets (0.5.0-1) unstable; urgency=low

  * Release 0.5.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:31:32 -0000

pothos-widgets (0.4.3-1) unstable; urgency=low

  * Release 0.4.3 (2017-06-14)

 -- Josh Blum <josh@pothosware.com>  Wed, 14 Jun 2017 19:43:08 -0000

pothos-widgets (0.4.2-1) unstable; urgency=low

  * Release 0.4.2 (2017-04-23)

 -- Josh Blum <josh@pothosware.com>  Sun, 23 Apr 2017 20:53:01 -0000

pothos-widgets (0.4.1) unstable; urgency=low

  * Release 0.4.1 (2017-01-26)

 -- Josh Blum <josh@pothosware.com>  Thu, 26 Jan 2017 21:10:42 -0800

pothos-widgets (0.4.0) unstable; urgency=low

  * Release 0.4.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:39:44 -0700

pothos-widgets (0.3.0) unstable; urgency=low

  * Release 0.3.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800
