=== debian/control ===
Source: pothos-widgets
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpothos-dev,
    qtbase5-dev, libqt5svg5-dev, libqt5opengl5-dev
Standards-Version: 4.5.0
Homepage: https://github.com/pothosware/PothosWidgets/wiki
Vcs-Git: https://github.com/pothosware/PothosWidgets.git
Vcs-Browser: https://github.com/pothosware/PothosWidgets

Package: pothos-modules-widgets
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.7-modules-widgets, ${misc:Depends}
Description: graphical control widgets - metapackage
 The Pothos data-flow software suite.

Package: pothos0.7-modules-widgets
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical control widgets
 The Pothos data-flow software suite.
